# If we are running the GNOME session, source ~/.gnomerc

desktops=$(IFS=:; set -- $XDG_CURRENT_DESKTOP; echo "$@")
for desktop in $desktops; do
  [ "$desktop" = "GNOME" ] && break
done
unset desktops

if [ "$desktop" != "GNOME" ]; then
  unset desktop
  return
fi
unset desktop

GNOMERC=$HOME/.gnomerc
if [ -r "$GNOMERC" ]; then
  . "$GNOMERC"
fi
# We prepend /usr/share/gnome since its defaults.list actually points
# to /etc so it is configurable.
if [ -z "$XDG_DATA_DIRS" ]; then
  XDG_DATA_DIRS=/usr/share/gnome:/usr/local/share/:/usr/share/
elif [ -n "${XDG_DATA_DIRS##*/usr/share/gnome*}" ]; then
  XDG_DATA_DIRS=/usr/share/gnome:"$XDG_DATA_DIRS"
fi
export XDG_DATA_DIRS
